1. Gearheadaddy's Avatar
    I'm curious as to why Blend is only available to certain whitelisted BB10 Phones? Wouldn't it stand to reason that it would be to BlackBerry's advantage to let ALL of us have the opportunity to use Blend?... It seems to me that the Company would benefit if the rest of us Z10 and Z30, Z5, Q10, Q5 owners could use Blend too? It may be the deciding factor in keeping me along with countless other BlackBerry users on the platform.
    Any opinions?...

    Crackberry Genius on Verizon Z10/10.3.1.1151
    11-21-14 09:41 PM
  2. FrankIAm's Avatar
    You're not even supposed to have 10.3. Once you officially get it, you'll get Blend.

    Q10SQN100-1/10.3.1.1151
  3. deiop's Avatar
    Sure. They keep it as an 'extra feature' for the new phones to make you buy an passport. That's it. All the other phones will get blend with the official 10.3.1 launch.

    Posted via CB10
    11-21-14 09:44 PM
  4. FrankIAm's Avatar
    You're not even supposed to have 10.3. Once you officially get it, you'll get Blend.

    Q10SQN100-1/10.3.1.1151
    howarmat, Omkar_Naik, Ecm and 5 others like this.
    11-21-14 09:49 PM
  5. Bluenoser63's Avatar
    I'm curious as to why Blend is only available to certain whitelisted BB10 Phones? Wouldn't it stand to reason that it would be to BlackBerry's advantage to let ALL of us have the opportunity to use Blend?... It seems to me that the Company would benefit if the rest of us Z10 and Z30, Z5, Q10, Q5 owners could use Blend too? It may be the deciding factor in keeping me along with countless other BlackBerry users on the platform.
    Any opinions?...

    Crackberry Genius on Verizon Z10/10.3.1.1151
    Because you need 10.3 and higher version of the OS for Blend to work. Since 10.3 isn't officially released for the older phones, you will just have to wait. 10.3.x is probably not ready yet for older phones. Simple really.
    acovey likes this.
    11-21-14 09:52 PM
  6. DjChriZ's Avatar
    Technically speaking, Blend works only with OS10.3... And Technically you should be on Official OS10.2.1! Why should you be able to use Blend on a "Leak" which is not intended to be Official? Your point doesn't make sense since Blend works with Official 10.3 devices. Now, when they release OS10.3.1 and you can't use it even after that, THEN you can get angry with them. Then again, what you can do is ask why don't they release 10.3.1 for everybody, that's a valid point. That would mean Blend for all. Geeze! You post as if you're in Official 10.3 and BlackBerry is denying something to you that you have a right to use, just to be the monsters of the movie...

    Posted via CB10 from my Iron Man Edition Z10 // Z10 STL100-1, OS 10.3.1.1133
    Last edited by DjChriZ; 11-21-14 at 11:21 PM.
    11-21-14 10:51 PM
  7. pvphooman's Avatar
    That would only encourage the masses to install leaks.

    Z10STL100-3/10.3.1.938 CB10
    11-21-14 11:09 PM
  8. tushargkwd's Avatar
    Exclusivity for Passport and Porsche Design BlackBerry owners...

    Later when the exclusive times fade... it will be there for the masses...

    I'm thinking that they should give BBM meetings free of charge for BlackBerry devices... that would really help BlackBerry and help sell phones to corporates who r in need for BBM meetings.. what say?


    Posted via CB10 and my awesome Z30STA100-2/10.2.1.3442
    vaioman likes this.
    11-22-14 04:07 AM
  9. MrGlenn's Avatar
    Blend is not even ready for prime time. I can assure you if they would enable it today for all BB10 devices, the CrackBerry forum would become flooded with threads like:
    "Why is Blend so limited!"
    "Blend is so laggy, BlackBerry Fail again!"
    "Why can't we change display settings in Blend?"
    "Why does BBM not show all messages in Blend?"
    "Why can't I view all Hub stuff in Blend?"

    This feature has much potential, and I do like using it a bit, but it has been hyped up here way too much. Using the Passport/Porsche as a way to test it in public makes sense to me. They can make sure their infrastructure can handle it, and might be able to fix some flaws before everyone has access to it. And maybe even add some more features.
    Look at Meetings: public right from the start yet has many people running into issues. Issues that could have been prevented with a slower roll-out (what they are doing now).

    Passport signed @ C0007CC89
    11-22-14 04:27 AM
  10. Gearheadaddy's Avatar
    Technically speaking, Blend works only with OS10.3... And Technically you should be on Official OS10.2.1! Why should you be able to use Blend on a "Leak" which is not intended to be Official? Your point doesn't make sense since Blend works with Official 10.3 devices. Now, when they release OS10.3.1 and you can't use it even after that, THEN you can get angry with them. Then again, what you can do is ask why don't they release 10.3.1 for everybody, that's a valid point. That would mean Blend for all. Geeze! You post as if you're in Official 10.3 and BlackBerry is denying something to you that you have a right to use, just to be the monsters of the movie...

    Posted via CB10 from my Iron Man Edition Z10 // Z10 STL100-1, OS 10.3.1.1133
    Okay...got it.... ( I'm not "angry" though...sorry if I came off that way)

    Crackberry Genius on Verizon Z10/10.3.1.1151
    11-22-14 08:03 AM
  11. conite's Avatar
    I'm curious as to why Blend is only available to certain whitelisted BB10 Phones? Wouldn't it stand to reason that it would be to BlackBerry's advantage to let ALL of us have the opportunity to use Blend?... It seems to me that the Company would benefit if the rest of us Z10 and Z30, Z5, Q10, Q5 owners could use Blend too? It may be the deciding factor in keeping me along with countless other BlackBerry users on the platform.
    Any opinions?...

    Crackberry Genius on Verizon Z10/10.3.1.1151
    Blend for 10.3.1 is still in the beta program. Still has bugs and is not ready yet. Getting close though.

    Z30STA100-5/10.3.1.1151
    11-22-14 08:13 AM
  12. toobs623's Avatar
    Okay...got it.... ( I'm not "angry" though...sorry if I came off that way)

    Crackberry Genius on Verizon Z10/10.3.1.1151
    You really didn't...


    Posted via CB10
    11-22-14 04:20 PM
  13. DjChriZ's Avatar
    You really didn't...


    Posted via CB10
    Yeah he wasn't.... I was writing while in a hurry so I didn't use a correct expression, because he really wasn't. Sorry mate!

    Posted via CB10 from my Iron Man Edition Z10 // Z10 STL100-1, OS 10.3.1.1133
    11-22-14 04:50 PM
  14. toobs623's Avatar
    Yeah he wasn't.... I was writing while in a hurry so I didn't use a correct expression, because he really wasn't. Sorry mate!

    Posted via CB10 from my Iron Man Edition Z10 // Z10 STL100-1, OS 10.3.1.1133
    No worries dude

    Posted via CB10
    11-22-14 04:52 PM
  15. khalidraffali's Avatar
    the wife uses a passport and hardly ever uses blend because you can just access all the content through your phone anyways. i on the other hand can't wait to try it out on my trusty z30.
    11-23-14 02:05 AM
  16. Matt Jude's Avatar
    Marketing. Marketing. Marketing. Stir up demand, excite the masses with teasers. Its all part of the 'bigger' plan. Plus 'guinea-pig' Blend for the passport and porsche models (sift out the bugs). IMHO
    11-24-14 01:24 AM

Similar Threads

  1. Severely outdated Wikipedia entry for BES
    By jeffchoi117 in forum BES 12
    Replies: 2
    Last Post: 12-04-14, 10:56 AM
  2. Waiting for my Passport
    By darylsuds in forum General BlackBerry Discussion
    Replies: 10
    Last Post: 11-29-14, 12:22 PM
  3. The new update of asphalt8:airbone isn't working on my z10
    By Kazi Prantor in forum Ask a Question
    Replies: 1
    Last Post: 11-21-14, 10:38 PM
  4. Canadians can now preorder the white BlackBerry Passport
    By CrackBerry News in forum CrackBerry.com News Discussion
    Replies: 1
    Last Post: 11-21-14, 07:03 PM
LINK TO POST COPIED TO CLIPBOARD